Upgrading from Version 4

Applies to the following products: 
Questionmark Perception
Applies to the following Perception versions: 
Perception 5.2
Perception 5.1

Perception Server 5, does not upgrade Perception Version 4 directly. Instead, Perception Version 5 installs alongside it. This ensures that if there are any problems with the upgrade it is possible to easily switch back to Perception Version 4. However, prior to running the installer you should ensure that the machine you are upgrading still meets the system requirements for Perception Version 5.

Most common requirements that need to be installed for an upgrade include:

  • .NET 2.0 Framework

    Perception Version 5 requires the .NET 2.0 Framework to be installed on the application server, and will not work with other .NET Framework versions. Provided you have .NET 2.0 Framework installed, you can also have .NET Framework version 1.1 and the .NET 3.0/3.5 Framework installed.

    If you are using Windows Server 2003 R2 or Windows Server 2008 the .NET 2.0 Framework is installed by default. However, If you run the installer without first installing the .NET 2.0 Framework on Windows XP or Windows Server 2003 a choice will be offered to the user to download and install the .NET 2.0 Framework components. This download facility requires an Internet connection.

    You can check what versions of the .NET Framework are installed by checking in the following folder on your server:

    C:\Windows\Microsoft.NET\Framework

    Each installed version of the .NET Framework will have a corresponding folder.

  • PHP

    PHP Version 5.2.5 or higher is required to allow the Presentation tier to function. The Presentation tier is the part of the application that renders questions and assessments in a usable form through a participant's web browser. PHP will need to be installed on the same server as Enterprise Manager if you are using a single server or the server dedicated to the Presentation tier in a multi-tiered setup.

    For instructions on installing PHP, please refer to Installing PHP.

Once the requirements have been fulfilled follow the instructions below to upgrade Perception from Version 4 to Version 5.

The recommended upgrade procedure is listed below:

Backing up your repository

Perception Version 5 upgrades your existing repository so that it is compatible with the new features available. We recommend prior to running the Perception Server installer you take a backup of your existing repository so that you can restore it if you need to roll back to Perception Version 4. You will need to take a backup of the repository files and database.

Taking a backup of your database depends on what database server application you are running.

If using Oracle, the following methods are valid for backing-up an Oracle database:

  • Export/Import - Exports are "logical" database backups in that they extract logical definitions and data from the database to a file
  • Cold or Off-line backups - Shut the database down and backup ALL data, log, and control files
  • Hot or On-line backups - If the database is available and in ARCHIVELOG mode, set the Tablespace into backup mode and backup the files. Also remember to backup the control files and archived redo log files
  • RMAN backups - While the database is off-line or on-line, use the "rman" utility to backup the database

It is advisable to use more than one of these methods to backup your database. For example, if you choose to do an on-line database backup, also cover yourself by doing a database export. If your database is in ARCHIVELOG mode, you also need to backup archived log files. For further details, please refer to the documentation that accompanies Oracle.

It is recommended that any backup you make on Oracle using any of the methods described above is done so using the Perception Tablespace Schema Owner. This will ensure that errors do not occur while exporting or rolling back the information.

If using SQL Server, the following types of backups are available:

  • Full backup - Makes a complete backup of your database
  • File backup - Is useful when your database is so large that a full backup would take too long
  • Transaction log backup - Creates a copy of all changes made to the database that are currently stored in the transaction log
  • Differential backup - Stores all changes that have occurred to the database since the last full backup

For the purpose of upgrading a Full backup should be made of the database, as this will backup all aspects of the data including transaction logs and is the most likely to successfully restore. For further information about backing up an SQL Server database, please refer to the documentation that accompanies SQL Server.

It is recommended that a test be carried out on ALL backups so that the backup integrity can be verified. It is better to be safe than sorry.

Once the database has been backed up you will need to backup your repository files. Backing up your repository file means you will need to take a backup of the shared repository folder on your Perception server. The default location for the repository files is:

C:\Perception4

Take a backup of the repository files and folders using your preferred method. This may include copying them to a CD, USB device or a Backup tape device.

With the backup of the repository database and shared repository files now complete you can upgrade your Perception installation. If you need to revert to Perception Version 4 you can do so by using the backups you just created.

Backing up your license

It is recommended that you backup your Perception Version 4 license before attempting to upgrade. This will ensure that if you need to roll-back to Perception Version 4 you can do so quickly and easily. The license file is located in the following folder in a default installation of Perception Version 4:

C:\Program Files\Questionmark\Perception4\server\

The license file ends with the extension .qmlicense. Locate this file and back it up to a secure location.

Running the installer

The following section describes the steps required to upgrade Perception from Version 4 to Version 5. The steps document the upgrading of Perception Version 4.4 to Version 5. However, upgrading any Perception Version 4 installation will be the same. The Perception Server install program is available from the Download area of the Questionmark web site.

To upgrade Perception from Version 4 to Version 5 complete the following steps:

  1. Ensure you have installed PHP and the .NET 2.0 Framework
  2. Double-click the Perception Version 5 installer
  3. Enter the password to run the installer and click OK
  4. The installer will detect if a previous Version 4 install of Perception exists, click Yes to upgrade the installation
  5. Click Next >
  6. To accept the End User License select the I accept the terms in the license agreement option button and click Next >
  7. Select Typical and click Next
  8. Choose an installation path for the Perception Version 5 system files

  9. Leave the location of the Repository Files pointing towards your existing Perception Version 4 repository files. For example, C:\Perception4\
    Changing the Install Repository Files To folder will cause any resources or content linked to questions to break. This means that any images, media or other files used in a question will no longer be displayed when that question is used.
  10. Click Next
  11. If this server is to be accessed externally enter the valid URL for the web server by selecting the User Defined option box and entering the appropriate domain name in the text-box. Otherwise select This Computer and click Next

    If you are intending to access the Perception Server using an IP address you must select the User Defined setting and enter the IP address in the text-box. Failure to do so will cause certain functions in Perception to work incorrectly. For example:

    • File upload questions will not work correctly, by not allowing participants to upload answers
    • Links to reports that a participant has access to will not work
  12. Click Install
  13. Click OK on the message relating to PHP

The Perception Version 5 application files will now install.

Upgrading the repository

To use your Perception repository with Perception Version 5, you will need to upgrade your repository using the Repository Upgrade Wizard in Shared Repository Manager.

Before you upgrade your repository you may need to reconfigure your connection to your Perception database. You will have to do this if the Connection column in Shared Repository Manager reads 'No'. The following steps describe how to do this:

  1. In the Shared Repository Manager select your repository
  2. Click Configure Connection in the Shared Repositories menu
  3. Select the Database DSN you use to connect to your Perception database from the drop-down list
  4. Click Change Login Details and enter your password for connecting to the database
  5. Click OK followed by OK again

Your connection to the database has now been re-established.

To upgrade your repository to the latest version complete the following steps:

  1. On your Perception application server, open Shared Repository Manager (ensure you use the Version 5 Shared Repository Manager). Repositories that have not yet been upgraded are displayed in red.

  2. Select the repository you want to upgrade.
  3. Click Repository Upgrade Wizard...

  4. Enter the administrator username and password
  5. Click Stop IIS and SRS on this machine and click Next
  6. Click Browse and locate the perceptionv4.ini file to copy the previous setting to the repository
  7. Select the language of the templates used in Version 4. For example, if you have translated your templates into French (added buttons and instructions in French on the template) select French from the Languages drop-down list.
  8. If you want to copy any of the Version 4 style sheet and template settings to the new Version 5 templates select the Yes option-button
  9. Click Next
  10. Click Start the IIS and SRS on this machine followed by Finish

Now that the repository has been upgraded you will need to configure Perception. To configure Perception click Configure Server in the Management menu. You will need to enter the root administrator username and password.

The Configure Perception Server window will now be displayed. Complete the following steps to finish configuring your repository:

  1. Choose if you want to use the existing Virtual directories used by your previous Version 4 installation, or use virtual directories you've created yourself.

    If you have created your own virtual directories and you would like to use these enter them in the Server Application Virtual Directories section for each of the devices:

    You will have to manually ensure that these Virtual directories are pointing to the correct folder location. This can be achieved in Internet Information Services. If you want to use your existing Virtual directories leave them as they are. For more information on settings up the Virtual directories, please refer to the sectionCreating your own virtual directories in the Advanced configuration options chapter.

  2. If you will be using QMWISe or Questionmark To Go you will need to enable this feature by placing a check in the Configure this feature check-box
  3. Click OK to apply the settings

Once you have completed the Repository Upgrade Wizard, the Version of your repository will be displayed as:

For further details about how the upgrade works and for various upgrades to different configuration, please refer to the following guide:

Once you have upgraded Perception and you are happy that it is functioning as expected you can uninstall Perception Version 4 from the server.

To uninstall Perception Version 4 complete the following steps:

  1. On the server where Perception Server is installed, open the Control Panel and then the run Add/Remove Programs.
  2. Select the entry for Perception Server and click Change/Remove.

  3. Click OK to confirm that you want to uninstall Perception Server Version 4.

Perception Version 4 will now be uninstalled.

Rolling back to Perception Version 4

If for any reason you need to return to Perception Version 4, you can do this provided that you backed up your repository prior to the upgrade.

For instructions about how to roll back the upgrade, please refer to the following Knowledge Base article:

Rolling back your installation of Perception Version 4 will return it to the same state it was originally prior to the upgrade. This means that if the following were added after the upgrade they will no longer be available:

  • Questions
  • Assessments
  • Participants
  • Results

If you created new questions and assessments it is recommended that you export them as Qpacks prior to rolling back.